# Play What?

*Play What* is a configurable, extensible music theory visualization tool and React component library.

For interactive documentation and demos, see my [sample project site](https://dan9418.github.io/play-what-sample/).

## Features

- Built-in presets for Chords, Scales, Modes, and Roman Numerals
    - Including chordal inversions
- Easy transposition of any concept to any key and/or octave
- Highly configurable viewer components to visualize these concepts
    - Including a keyboard, fretboard, and a simple API for creating custom viewers

## Motivation

My primary goals for developing this project were to...

- Learn the ReactJS framework
- Complete a substantial project demonstrating good design and best practices for my portfolio
- Learn complex music theory concepts
- Create a useful, open-source tool that is highly configurable and extensible

## Hire Me

If you like what you see, feel free to contact me! I am currently relocating to the west coast and searching for a web dev job.

My resume and contact information can be found on my [personal website](http://danbednarczyk.com/).